gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Objects.MotionEvent

Contents

- Exported types
- Methods

Description

An event related to a pointer or touch device motion.

Synopsis

- newtype MotionEvent = MotionEvent (ManagedPtr MotionEvent)
- class (BoxedPtr o, TypedObject o, IsDescendantOf MotionEvent o) => IsMotionEvent o
- toMotionEvent :: (MonadIO m, IsMotionEvent o) => o -> m MotionEvent

# Exported types

newtype MotionEvent Source #

Memory-managed wrapper type.

Constructors

MotionEvent (ManagedPtr MotionEvent) |

#### Instances

Instances details

Eq MotionEvent Source # |
Instance details Defined in GI.Gdk.Objects.MotionEvent Methods (==) :: MotionEvent -> MotionEvent -> Bool Source # (/=) :: MotionEvent -> MotionEvent -> Bool Source #
BoxedPtr MotionEvent Source # |
Instance details Defined in GI.Gdk.Objects.MotionEvent Methods boxedPtrCopy :: MotionEvent -> IO MotionEvent Source # boxedPtrFree :: MotionEvent -> IO () Source #
ManagedPtrNewtype MotionEvent Source # |
Instance details Defined in GI.Gdk.Objects.MotionEvent Methods toManagedPtr :: MotionEvent -> ManagedPtr MotionEvent Source #
TypedObject MotionEvent Source # |
Instance details Defined in GI.Gdk.Objects.MotionEvent Methods glibType :: IO GType Source #
HasParentTypes MotionEvent Source # |
Instance details Defined in GI.Gdk.Objects.MotionEvent
type ParentTypes MotionEvent Source # |
Instance details Defined in GI.Gdk.Objects.MotionEvent type ParentTypes MotionEvent = '[Event]

class (BoxedPtr o, TypedObject o, IsDescendantOf MotionEvent o) => IsMotionEvent o Source #

Type class for types which can be safely cast to `MotionEvent`, for instance with `toMotionEvent`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf MotionEvent o) => IsMotionEvent o Source # |
Instance details Defined in GI.Gdk.Objects.MotionEvent

toMotionEvent :: (MonadIO m, IsMotionEvent o) => o -> m MotionEvent Source #

Cast to `MotionEvent`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, triggersContextMenu, unref.

#### Getters

getAxes, getAxis, getDevice, getDeviceTool, getDisplay, getEventSequence, getEventType, getHistory, getModifierState, getPointerEmulated, getPosition, getSeat, getSurface, getTime.

#### Setters

None.